#!/bin/bash

sudo apt -y update
sudo apt -y install simplestreams

KEYRING_FILE=/usr/share/keyrings/ubuntu-cloudimage-keyring.gpg
IMAGE_SRC=https://cloud-images.ubuntu.com/releases
IMAGE_DIR=/var/www/html/lxd/

sudo sstream-mirror --keyring=$KEYRING_FILE --path streams/v1/index.json \
                    $IMAGE_SRC $IMAGE_DIR \
                    'arch=amd64' 'release~(bionic|focal|jammy)' --max=1 --progress

